Package org.apache.sling.thumbnails.internal.models

## Class RenderedResourceImpl

- java.lang.Object
- - org.apache.sling.thumbnails.internal.models.RenderedResourceImpl

All Implemented Interfaces:
  `RenderedResource`

    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class,
           adapters=RenderedResource.class)
    public class RenderedResourceImpl
    extends Object
    implements RenderedResource

### Constructor Summary

Constructors
`RenderedResourceImpl​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.caconfig.resource.ConfigurationResourceResolver configResourceResolver, RenditionSupport renditionSupport, ThumbnailSupport thumbnailSupport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull List<Transformation>` `getAvailableTransformations()` Gets the transformations defined in this resource's CA Configs
`List<org.apache.sling.api.resource.Resource>` `getRenditions()` Get the renditions for the requested resource
`String` `getRenditionsPath()` Get the relative path to the renditions within the resource, e.g.
`List<String>` `getSupportedRenditions()` Gets all of the supported renditions for this resource, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenderedResourceImpl

    @Inject
    public RenderedResourceImpl​(org.apache.sling.api.SlingHttpServletRequest request,
                                org.apache.sling.caconfig.resource.ConfigurationResourceResolver configResourceResolver,
                                RenditionSupport renditionSupport,
                                ThumbnailSupport thumbnailSupport)

### Method Detail

#### getAvailableTransformations

    @NotNull
    public @NotNull List<Transformation> getAvailableTransformations()

Description copied from interface: `RenderedResource`
Gets the transformations defined in this resource's CA Configs

Specified by:
  `getAvailableTransformations` in interface `RenderedResource`
Returns:
  the transformations available for the resource

#### getRenditions

    public List<org.apache.sling.api.resource.Resource> getRenditions()

Description copied from interface: `RenderedResource`
Get the renditions for the requested resource

Specified by:
  `getRenditions` in interface `RenderedResource`
Returns:
  the renditions for the resource

#### getRenditionsPath

    public String getRenditionsPath()

Description copied from interface: `RenderedResource`
Get the relative path to the renditions within the resource, e.g. jcr:content/renditions

Specified by:
  `getRenditionsPath` in interface `RenderedResource`
Returns:
  the relative path to the renditions

#### getSupportedRenditions

    public List<String> getSupportedRenditions()

Description copied from interface: `RenderedResource`
Gets all of the supported renditions for this resource, e.g. the union of the transformations defined in this resource's CA Configs without extensions and the existing renditions (with extensions)

Specified by:
  `getSupportedRenditions` in interface `RenderedResource`
Returns:
  the list of the supported renditions